Freeciv-3.3: happiness_dialog Struct Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Data Fields
happiness_dialog Struct Reference

## Data Fields

struct city * | pcity
GtkWidget * | win
GtkWidget * | shell
GtkWidget * | cityname_label
cairo_surface_t * | feeling_surfaces [NUM_HAPPINESS_MODIFIERS]
GtkWidget * | happiness_ebox [NUM_HAPPINESS_MODIFIERS]
GtkWidget * | happiness_label [NUM_HAPPINESS_MODIFIERS]
GtkWidget * | close
GtkWidget * | feeling_pics [NUM_HAPPINESS_MODIFIERS]

## Detailed Description

Definition at line 52 of file happiness.c.

## Field Documentation

## ◆ cityname_label

GtkWidget * happiness_dialog::cityname_label

Definition at line 56 of file happiness.c.

Referenced by create_happiness_dialog().

## ◆ close

GtkWidget * happiness_dialog::close

Definition at line 60 of file happiness.c.

## ◆ feeling_pics

GtkWidget * happiness_dialog::feeling_pics

Definition at line 57 of file happiness.c.

Referenced by create_happiness_dialog(), and refresh_happiness_dialog().

## ◆ feeling_surfaces

cairo_surface_t * happiness_dialog::feeling_surfaces

Definition at line 57 of file happiness.c.

Referenced by close_happiness_dialog(), create_happiness_dialog(), and refresh_happiness_dialog().

## ◆ happiness_ebox

GtkWidget* happiness_dialog::happiness_ebox[NUM_HAPPINESS_MODIFIERS]

Definition at line 58 of file happiness.c.

Referenced by create_happiness_dialog().

## ◆ happiness_label

GtkWidget * happiness_dialog::happiness_label

Definition at line 59 of file happiness.c.

Referenced by create_happiness_dialog().

## ◆ pcity

struct city * happiness_dialog::pcity

Definition at line 53 of file happiness.c.

Referenced by close_happiness_dialog(), create_happiness_dialog(), get_happiness_dialog(), get_top_happiness_display(), refresh_feeling_surface(), refresh_feeling_surface(), refresh_happiness_dialog(), show_happiness_popup(), and show_happiness_popup().

## ◆ shell

GtkWidget * happiness_dialog::shell

Definition at line 55 of file happiness.c.

Referenced by close_happiness_dialog(), create_happiness_dialog(), and get_top_happiness_display().

## ◆ win

GtkWidget * happiness_dialog::win

Definition at line 54 of file happiness.c.

Referenced by create_happiness_dialog(), get_top_happiness_display(), and show_happiness_popup().